@echo off
set HOUR=%time:~0,2%
:: 当时钟小于等于9时,前面有个空格，需要个位数的时候前面补上一个0, LEQ表示小于等于  
if %HOUR% LEQ 9 set HOUR=0%time:~1,1%

@set curtime=%date:~0,4%%date:~5,2%%date:~8,2%%HOUR%%time:~3,2%%time:~6,2%

call ng build --prod --buildOptimizer=true --base-href /a/  
call cd dist
zip  -9qrx=assets/*  ../dist%curtime%.zip . 
cd .. 
echo  Dist filename:dist%curtime%.zip
pause